petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMGetNumFields

Get the number of fields in the DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetNumFields(DM dm, PetscInt *numFields)

Not collective

### Input Parameter

dm -The DM

### Output Parameter

Nf -The number of fields

### See Also

DMSetNumFields(), DMSetField()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages